@import "~@digicard/src/variables.scss";

.active {
    background-color: #e5e5e5!important;
}

.root {
    display: flex;
    align-items: center;
    width: 100%;
    min-height: 100px;

    background-color: $white_text_color;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px;

    gap: 10px;

    margin-bottom: 20px;

    position: relative;

    div {
        display: flex;
        align-items: center;
    }

    .moveIcon {
        height: 100%;
        max-width: 50px;

        svg {
            width: 30px;
            height: 30px;
        }
    }

    .icon {
        height: 100%;
        max-width: 50px;
        padding-right: 10px;

        img {
            border-radius: 50%;
        }
    }

    .content {
        display: flex;
        flex-direction: column;
        flex-shrink: 1;
        width: 80%;

        .title {
            margin-bottom: 5px;

            input {
                font-weight: bold;
                border: none;
            }
        }


        div {
            width: 100%;
        }

        .input {
            width: 90%;
            border: none;
            background-color: transparent;
        }

        input {
            width: 100%;
            background-color: transparent;
        }

        textarea:focus {
            border: 1px solid $gray_color;
        }

        .input:focus {
            box-shadow: none;
        }
    }


    .actions {
        max-width: 200px;
        flex-direction: column;
        align-items: center;
        padding: 0 20px;

        .switchIcon {
            background-color: #dddddd;
            position: absolute;
            right: 10px;
            top: 26px;
        }

        [class*='ant-switch-checked'] {
            background-color: $primary_color !important;
        }

        .delete {
            border: none;
            position: absolute;
            right: 7px;
            bottom: 8px;
            background-color: transparent;

            svg {
                width: 20px;
                height: 20px;
                fill: $gray_color;
            }
        }
    }

}


